%define upstream_name    File-Find-Object-Rule
%define upstream_version 0.0305

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    File::Find::Object::Rule's procedural interface
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Object)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Number::Compare)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Glob)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Find::Object::Rule is a friendlier interface to the
File::Find::Object manpage . It allows you to build rules which specify the
desired files and directories.

*WARNING* : This module is a fork of version 0.30 of the File::Find::Rule
manpage (which has been unmaintained for several years as of February,
2009), and may still have some bugs due to its reliance on File::Find'isms.
As such it is considered Alpha software. Please report any problems with
the File::Find::Object::Rule manpage to its RT CPAN Queue.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/findorule
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.500-7.mga6
+ Revision: 1027300
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.500-6.mga6
+ Revision: 948382
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.30.500-5.mga5
+ Revision: 787835
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.500-4.mga5
+ Revision: 744088
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 0.30.500-2.mga5
+ Revision: 633937
- perl 5.20 rebuild

* Tue May 20 2014 jquelin <jquelin> 0.30.500-1.mga5
+ Revision: 624256
- update to 0.0305

* Thu Mar 20 2014 jquelin <jquelin> 0.30.400-2.mga5
+ Revision: 606083
- perl 5.18.2 rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.30.400-1.mga5
+ Revision: 581165
- update to 0.0304

* Sat Oct 19 2013 umeabot <umeabot> 0.30.300-2.mga4
+ Revision: 525210
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.30.300-1.mga4
+ Revision: 432519
- New version 0.0303

* Sun Jan 13 2013 umeabot <umeabot> 0.30.200-2.mga3
+ Revision: 367209
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.30.200-1.mga3
+ Revision: 338085
- update to 0.0302

* Tue Jun 05 2012 jquelin <jquelin> 0.30.100-1.mga3
+ Revision: 254945
- update to 0.0301

* Thu Dec 01 2011 shlomif <shlomif> 0.30.0-1.mga2
+ Revision: 174858
- imported package perl-File-Find-Object-Rule


* Tue Jul 28 2009 cpan2dist 0.0300-1mdv
- initial mdv release, generated with cpan2dist
